osgGA::GUIActionAdapter Class Referenceabstract

`#include <GUIActionAdapter>`

Inheritance diagram for osgGA::GUIActionAdapter:

## Public Member Functions

virtual | ~GUIActionAdapter ()
virtual osg::View * | asView ()
virtual void | requestRedraw ()=0
virtual void | requestContinuousUpdate (bool needed=true)=0
virtual void | requestWarpPointer (float x, float y)=0
virtual bool | computeIntersections (const osgGA::GUIEventAdapter &, osgUtil::LineSegmentIntersector::Intersections &, osg::Node::NodeMask=0xffffffff)
virtual bool | computeIntersections (const osgGA::GUIEventAdapter &, const osg::NodePath &, osgUtil::LineSegmentIntersector::Intersections &, osg::Node::NodeMask=0xffffffff)

## Constructor & Destructor Documentation

## ~GUIActionAdapter()

virtual osgGA::GUIActionAdapter::~GUIActionAdapter | ( |  | ) |

inline virtual

## Member Function Documentation

## asView()

virtual osg::View * osgGA::GUIActionAdapter::asView | ( |  | ) |

inline virtual

Provide a mechanism for getting the osg::View associated with this GUIActionAdapter. One would use this to case view to osgViewer::View(er) if supported by the subclass.

Reimplemented in osgViewer::View.

## computeIntersections() [1/2]

virtual bool osgGA::GUIActionAdapter::computeIntersections | ( | const osgGA::GUIEventAdapter & | ,
|  | const osg::NodePath & | ,
|  | osgUtil::LineSegmentIntersector::Intersections & | ,
|  | osg::Node::NodeMask | = 0xffffffff )

inline virtual

Compute intersections of a ray, starting the current mouse position, through the specified master camera's window/eye coordinates and a specified nodePath's subgraph.

Reimplemented in osgViewer::View.

## computeIntersections() [2/2]

virtual bool osgGA::GUIActionAdapter::computeIntersections | ( | const osgGA::GUIEventAdapter & | ,
|  | osgUtil::LineSegmentIntersector::Intersections & | ,
|  | osg::Node::NodeMask | = 0xffffffff )

inline virtual

Compute intersections of a ray, starting the current mouse position, through the specified camera.

Reimplemented in osgViewer::View.

## requestContinuousUpdate()

virtual void osgGA::GUIActionAdapter::requestContinuousUpdate | ( | bool | needed = true | ) |

pure virtual

requestContinuousUpdate(bool) is for en/disabling a throw or idle callback to be requested by a GUIEventHandler (typically a CameraManipulator, though other GUIEventHandler's may also provide functionality). GUI toolkits can respond to this immediately by registering an idle/timed callback, or can delay setting the callback and update at their own leisure.

Implemented in osgViewer::GraphicsWindow, and osgViewer::View.

## requestRedraw()

virtual void osgGA::GUIActionAdapter::requestRedraw | ( |  | ) |

pure virtual

requestRedraw() requests a single redraw.

Implemented in osgViewer::GraphicsWindow, and osgViewer::View.

## requestWarpPointer()

virtual void osgGA::GUIActionAdapter::requestWarpPointer | ( | float | x,
|  | float | y )

pure virtual

requestWarpPointer(int,int) is requesting a repositioning of the mouse pointer to a specified x,y location on the window. This is used by some camera manipulators to initialise the mouse pointer when mouse position relative to a controls neutral mouse position is required, i.e when mimicking an aircraft joystick.

Implemented in osgViewer::GraphicsWindow, osgViewer::GraphicsWindowWin32, osgViewer::GraphicsWindowX11, and osgViewer::View.

The documentation for this class was generated from the following file:

- GUIActionAdapter